curl --request GET \
--url https://api.uat.frankie.one/v2/report/extractPII \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'X-Frankie-RequestID: <x-frankie-requestid>' \
--header 'api_key: <api-key>'import requests
url = "https://api.uat.frankie.one/v2/report/extractPII"
headers = {
"api_key": "<api-key>",
"X-Frankie-RequestID": "<x-frankie-requestid>",
"X-Frankie-CustomerID": "<x-frankie-customerid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
api_key: '<api-key>',
'X-Frankie-RequestID': '<x-frankie-requestid>',
'X-Frankie-CustomerID': '<x-frankie-customerid>'
}
};
fetch('https://api.uat.frankie.one/v2/report/extractPII', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"jobs": [
{
"jobId": "<string>",
"status": "CREATED",
"operationType": "REPORT",
"operationName": "EXTRACT_PII",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"scheduledAt": "2023-11-07T05:31:56Z",
"attemptedAt": "2023-11-07T05:31:56Z",
"finalizedAt": "2023-11-07T05:31:56Z",
"attempt": 123,
"maxAttempts": 123,
"queue": "<string>",
"filename": [
"<string>"
]
}
],
"meta": {
"page": 123,
"total": 123,
"limit": 123,
"count": 123,
"sort": "asc",
"sortFields": [
"createdAt"
]
}
}List Extract PII jobs
Retrieve a list of Extract PII jobs for a customer with optional filtering by status and pagination support.
Authorizations
Headers
Your API key provided by FrankieOne
"245c765b124a098d09ef8765...."
GUID identifier for request
"82988375-1F9C-40C7-8543-ECCA0D94CC7C"
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
Username provided by API caller
"fred.flintstone@frankieone.com"
Query Parameters
The page number that you want to retrieve for the list query
Limit the number of items that will be returned as part of the request
x >= 1Filter jobs by status. Multiple statuses can be provided to filter by any of them.
Status of the job
CREATED, IN_PROGRESS, COMPLETED, FAILED, CANCELLED Order of the sort fields will be sorted upon
asc, desc The fields that were used to sort the items in the response
The fields that were used to sort the items in the response
createdAt Response
OK
Response for listing Extract PII jobs
Was this page helpful?